#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 topograph
version:              1.0.0.2
visibility:           public
id:                   topograph-1.0.0.2-66XPwwTYpKDCzZZKYN1ynr
key:                  topograph-1.0.0.2-66XPwwTYpKDCzZZKYN1ynr
license:              BSD-3-Clause
copyright:            (c) 2018-2019 Oleg Grenrus
maintainer:           Oleg.Grenrus <oleg.grenrus@iki.fi>
author:               Oleg Grenrus <oleg.grenrus@iki.fi>
homepage:             https://github.com/phadej/topograph
synopsis:             Directed acyclic graphs.
description:
    Directed acyclic graphs can be sorted topographically.
    Existence of topographic ordering allows writing many graph algorithms efficiently.
    And many graphs, e.g. most dependency graphs are acyclic!

    There are some algorithms built-in: dfs, transpose, transitive closure,
    transitive reduction...
    Some algorithms even become not-so-hard to implement, like a longest path!

category:             Data, Graph
abi:                  1434419ff9e418e477cbc16ca9a58d46
exposed:              True
exposed-modules:      Topograph
import-dirs:          /usr/lib/ghc-9.4.8/site-local/topograph-1.0.0.2
library-dirs:         /usr/lib/ghc-9.4.8/site-local/topograph-1.0.0.2
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/topograph-1.0.0.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-topograph
hs-libraries:         HStopograph-1.0.0.2-66XPwwTYpKDCzZZKYN1ynr
depends:
    base-4.17.2.1 base-compat-0.12.2-3peTS4EQIw912qC0ETmbL5
    base-orphans-0.8.8.2-DkMcjPMpDeZAO9Gbq4jAac containers-0.6.7
    vector-0.13.1.0-KSX0XQMPS0MKwOGi5hYJAY

haddock-interfaces:   /usr/share/doc/haskell-topograph/html/topograph.haddock
haddock-html:         /usr/share/doc/haskell-topograph/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

